#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, u, v; cin>>n;

    for (int i=0; i<n-1; i++)
        cin>>u>>v;

    if (n%2==1) cout<<n/2;
    else cout<<n/2-1;
}